public static interface KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsBuilders
| Modifier and Type | Method and Description |
|---|---|
default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsEndpointBuilder |
kubernetesDeployments(String path)
Kubernetes Deployments (camel-kubernetes)
Perform operations on Kubernetes Deployments and get notified on
Deployment changes.
|
default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsEndpointBuilder |
kubernetesDeployments(String componentName,
String path)
Kubernetes Deployments (camel-kubernetes)
Perform operations on Kubernetes Deployments and get notified on
Deployment changes.
|
default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsEndpointBuilder kubernetesDeployments(String path)
kubernetes-deployments:masterUrl
Path parameter: masterUrl (required)
Kubernetes Master urlpath - masterUrldefault KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsEndpointBuilder kubernetesDeployments(String componentName, String path)
kubernetes-deployments:masterUrl
Path parameter: masterUrl (required)
Kubernetes Master urlcomponentName - to use a custom component name for the endpoint
instead of the default namepath - masterUrlApache Camel